#a=`date`

#Simple Test
#CUDA_LAUNCH_BLOCKING=1 CUDA_VISIBLE_DEVICES=0 LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/home/csa/pyhst python /home/csa/pyhst/PyHST.py /home/csa/data/hst_csa.par

#Texture Fetches
#events=tex0_cache_sector_queries,tex1_cache_sector_queries,tex0_cache_sector_misses,tex1_cache_sector_misses,l2_subp0_read_tex_sector_queries,l2_subp0_read_tex_hit_sectors,l2_subp1_read_tex_sector_queries,l2_subp1_read_tex_hit_sectors
#events=$events,local_store,local_load,shared_store,shared_load,global_store,global_load,shared_ld_transactions,shared_st_transactions
#metrics=tex_cache_transactions,stall_texture,tex_cache_hit_rate,l2_texture_read_hit_rate
#metrics=$metrics,achieved_occupancy,issue_slot_utilization,inst_integer,inst_bit_convert,inst_compute_ld_st,inst_fp_32,inst_misc,inst_inter_thread_communication
#metrics=$metrics,tex_utilization,l2_utilization,shared_utilization,ldst_fu_utilization,cf_fu_utilization,special_fu_utilization,tex_fu_utilization,single_precision_fu_utilization

#ShMem checks
#events=shared_store,shared_load,shared_st_transactions,shared_ld_transactions,shared_st_bank_conflict,shared_ld_bank_conflict
#metrics=""

#Instructions (Model)
#events=tex0_cache_sector_queries,tex1_cache_sector_queries
#events=$events,generic_store,generic_load,global_store,global_load,local_store,local_load,shared_store,shared_load,shared_st_transactions,shared_ld_transactions,shared_st_bank_conflict,shared_ld_bank_conflict
#metrics=tex_cache_transactions,gst_transactions,gld_transactions,local_store_transactions,local_load_transactions,shared_store_transactions,shared_load_transactions
#metrics=$metrics,inst_fp_32,inst_integer,inst_bit_convert,inst_misc,inst_compute_ld_st,inst_inter_thread_communication,inst_control
#metrics=$metrics,flop_count_sp,flop_count_sp_add,flop_count_sp_fma,flop_count_sp_mul,flop_count_sp_special
#metrics=$metrics,cf_issued,cf_executed,ldst_issued,ldst_executed,
#metrics=$metrics,achieved_occupancy,sm_efficiency,ipc,issued_ipc,inst_replay_overhead,inst_per_warp,


events=tex0_cache_sector_queries,tex1_cache_sector_queries
metrics=tex_fu_utilization,ldst_fu_utilization,shared_utilization,single_precision_fu_utilization,special_fu_utilization,
metrics=$metrics,tex_utilization,l2_utilization,dram_utilization,cf_fu_utilization,issue_slot_utilization
metrics=$metrics,shared_load_throughput,shared_store_throughput,local_load_throughput,local_store_throughput
metrics=$metrics,l2_read_throughput,l2_atomic_throughput,l2_tex_read_throughput,tex_cache_throughput,tex_cache_hit_rate,l2_tex_read_hit_rate
metrics=$metrics,stall_texture,stall_exec_dependency,stall_memory_dependency,stall_constant_memory_dependency,stall_memory_throttle,stall_pipe_busy,stall_inst_fetch,stall_sync,stall_other,stall_not_selected
metrics=$metrics,sm_activity,achieved_occupancy,eligible_warps_per_cycle,shared_efficiency,inst_replay_overhead,flop_sp_efficiency


CUDA_VISIBLE_DEVICES=0 CUDA_LAUNCH_BLOCKING=1 LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/home/csa/pyhst \
    /opt/cuda/bin/nvprof --profile-child-processes \
    --kernels hst_cuda_linear_companion \
    -m $metrics -e $events \
    python /home/csa/pyhst/PyHST.py /home/csa/data/hst_csa.par 2>&1 | tee nvvp_trace.txt

#    --kernels hst_cuda_linear_hybrid \
#    --kernels hst_cuda_linear_hybrid \
#    --kernels hst_cuda_alu_linear \
#    --kernels hst_cuda_kernel,hst_kepler_kernel \
#    --kernels hst_kepler_kernel \
#    -m $metrics -e $events \


